.sorter {
    position: relative;

    &.open {
        z-index: 100;

        .sorter__content {
            opacity: 1;
            visibility: visible;
        }
    }

    &__label {
        display: none;
    }

    &__button {
        margin: 0;
        padding: 0;
        font-size: 0;
        line-height: 0;
        outline: none;
        cursor: pointer;
        width: rem(34);
        height: rem(34);
        fill: $purple;
        position: relative;
        white-space: nowrap;
        background: transparent;
        border: 1px solid $gray-200;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        height: rem(12);
        flex-shrink: 0;
        display: inline-block;
    }

    &__active {
        display: none;
    }

    &__content {
        top: 100%;
        left: 0;
        z-index: 100;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        white-space: nowrap;
        position: absolute;
        background: $white;
        border: 1px solid $gray-200;
        box-shadow: 0px 4px 20px #F1F1F1;
        opacity: 0;
        visibility: hidden;
    }

    &__item {
        height: rem(32);
        cursor: pointer;
        display: flex;
        position: relative;
        align-items: center;
        padding: rem(4) rem(36) rem(4) rem(12);

        &::after {
            top: calc(50% - 4px);
            right: 12px;
            z-index: 5;
            width: 6px;
            height: 8px;
            content: '';
            position: absolute;
            text-decoration: none;
            border-right: 2px solid $purple;
            border-bottom: 2px solid $purple;
            transform: rotate(40deg);
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }

        &:hover {
            color: $purple;
            text-decoration: none;
        }

        &.active {
            color: $purple;

            &:after {
                opacity: 1;
                visibility: visible;
                transition: .25s;
            }
        }

        &:not(:last-child) {
            border-bottom: 1px solid $gray-200;
        }
    }

    @include media-breakpoint-up(md) {
        display: inline-flex;
        align-items: center;

        &__label {
            color: $gray-500;
            font-weight: 400;
            font-size: rem(14);
            line-height: rem(17);
            white-space: nowrap;
            margin-right: rem(9);
            display: block;
        }

        &__button {
            width: auto;
            height: auto;
            border: none;
            color: $purple;
            font-weight: 600;
            font-size: rem(14);
            line-height: rem(17);
            padding-right: rem(16);

            &:before {
                right: 0;
                top: calc(50% - 2px);
                z-index: 5;
                width: 9px;
                height: 4px;
                content: '';
                display: block;
                position: absolute;
                background: url("../img/angle_down.svg") 50% 50% no-repeat;
                background-size: cover;
                transition: .25s;
            }
        }

        &__icon {
            display: none;
        }

        &__active {
            display: inline-block;
        }

        &__content  {
            left: auto;
            right: 0;
            font-size: rem(14);
        }

        &__item {
            height: rem(36);
            padding: rem(4) rem(36) rem(4) rem(16);
        }
    }
}
